Subject: Re: Make "git clone" less of a deathly quiet experience

From: Keith Packard <[email-masked]>
Date: Sat, 11 Feb 2006 11:10:29 -0800

On Sat, 2006-02-11 at 09:45 -0800, Linus Torvalds wrote:

> More importantly, it really wouldn't have helped that much in this 
> situation. At least for me, the network is 90% of the problem, the 
> pack-file generation is at most 10%. So cached packfiles really only 
> matter for server-side problems (high CPU load, or lack of memory, or 
> heavy disk activity).

I'd like to see git use less CPU than CVS does on my distribution host;
some mechanism for re-using either existing or cached packs would help a
whole lot with that. The alternative is to see people switch to rsync
instead, which seems like a far worse idea.   

-- 
[email-masked]